package com.bytedance.ies.nle.editor_jni;

import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;

public class NLEMappingNode extends NLENode {
    public transient long LIZ;
    public transient boolean LIZIZ;

    static {
        Covode.recordClassIndex(29809);
    }

    public void finalize() {
        delete();
    }

    public NLEMappingNode() {
        this(NLETemplateJNI.new_NLEMappingNode());
        MethodCollector.i(10501);
        MethodCollector.o(10501);
    }

    public NLENode clone() {
        MethodCollector.i(10500);
        long NLEMappingNode_clone = NLETemplateJNI.NLEMappingNode_clone(this.LIZ, this);
        if (NLEMappingNode_clone == 0) {
            MethodCollector.o(10500);
            return null;
        }
        NLENode nLENode = new NLENode(NLEMappingNode_clone, true);
        MethodCollector.o(10500);
        return nLENode;
    }

    public synchronized void delete() {
        MethodCollector.i(10289);
        long j = this.LIZ;
        if (j != 0) {
            if (this.LIZIZ) {
                this.LIZIZ = false;
                NLETemplateJNI.delete_NLEMappingNode(j);
            }
            this.LIZ = 0;
        }
        super.delete();
        MethodCollector.o(10289);
    }

    public static long LIZ(NLEMappingNode nLEMappingNode) {
        if (nLEMappingNode == null) {
            return 0;
        }
        return nLEMappingNode.LIZ;
    }

    public void swigSetCMemOwn(boolean z) {
        this.LIZIZ = z;
        super.swigSetCMemOwn(z);
    }

    public NLEMappingNode(long j) {
        super(NLETemplateJNI.NLEMappingNode_SWIGSmartPtrUpcast(j), true);
        MethodCollector.i(10287);
        this.LIZIZ = true;
        this.LIZ = j;
        MethodCollector.o(10287);
    }
}
